package com.ruoyi.project.training.service;

import java.util.List;
import com.ruoyi.project.training.domain.TWorklicense;

/**
 * 上岗证一览Service接口
 * 
 * @author ruoyi
 * @date 2020-12-02
 */
public interface ITWorklicenseService 
{
    /**
     * 查询上岗证一览
     * 
     * @param id 上岗证一览ID
     * @return 上岗证一览
     */
    public TWorklicense selectTWorklicenseById(Long id);

    /**
     * 查询上岗证一览
     *
     * @param employeeid 人员员工号
     * @return 上岗证一览
     */
    public TWorklicense selectTWorklicenseByEmployeeid(String employeeid);

    /**
     * 查询上岗证一览列表
     * 
     * @param tWorklicense 上岗证一览
     * @return 上岗证一览集合
     */
    public List<TWorklicense> selectTWorklicenseList(TWorklicense tWorklicense);

    /**
     * 定时任务查询上岗证一览列表
     *
     * @param tWorklicense 上岗证一览
     * @return 上岗证一览集合
     */
    public List<TWorklicense> selectList(TWorklicense tWorklicense);

    /**
     * 新增上岗证一览
     * 
     * @param tWorklicense 上岗证一览
     * @return 结果
     */
    public int insertTWorklicense(TWorklicense tWorklicense);

    /**
     * 修改上岗证一览
     * 
     * @param tWorklicense 上岗证一览
     * @return 结果
     */
    public int updateTWorklicense(TWorklicense tWorklicense);

    /**
     * 批量删除上岗证一览
     * 
     * @param ids 需要删除的上岗证一览ID
     * @return 结果
     */
    public int deleteTWorklicenseByIds(Long[] ids);

    /**
     * 删除上岗证一览信息
     * 
     * @param id 上岗证一览ID
     * @return 结果
     */
    public int deleteTWorklicenseById(Long id);
}
